import 'package:vector_math/vector_math.dart';
import 'util.dart';
import 'stegu_perlin_noise.dart';
import 'musgrave.dart';
import 'cell_noise.dart';
import 'worley_noises.dart';

double pnoise3_map(Vector3 v) {
  return pnoise3(
      v.x, v.y, v.z, pnoise_interval, pnoise_interval, pnoise_interval);
}

double noise3_map(Vector3 v) {
  return noise3Map(v.x, v.y, v.z);
}

double RidgedMultifractal_Default_map(Vector3 v) {
  return RidgedMultifractal_Default(v.x, v.y, v.z);
}

double turbulence_default_map(Vector3 v) {
  return turbulence_default(v.x, v.y, v.z);
}

double FCellNoise3_map(Vector3 v) {
  return FCellNoise3(v.x, v.y, v.z);
}

double fBm_default_map(Vector3 v) {
  return fBm_default(v.x, v.y, v.z);
}

double HybridMultifractal_map(Vector3 v) {
  return HybridMultifractal(v, 0.63, 0.75, 5.0, 0.3);
}

double worley_map(Vector3 v) {
  return worley1(v.x, v.y, v.z, 8.0)[0].distance;
}
