import 'package:vector_math/vector_math.dart';
import 'voxel_quad.dart';

class mesh_texture {
  final List<Vector3> positions = new List<Vector3>();
  final List<Vector2> uvs = new List<Vector2>();
  final List<Vector3> normals = new List<Vector3>();
  final String texture_key;
  mesh_texture(String texture_key) : texture_key = texture_key {
  }
  void append(voxel_quad voxel_quad_) {
    var positions_ = voxel_quad_.positions;
    assert(positions_.length == 4);
    var normal_ = voxel_quad_.normal.clone();
    var uvs_ = voxel_quad_.uvs;
    assert(uvs_.length == 4);

    for(int i = 0; i < 4; i++) {
      this.positions.add(positions_[i].clone());
      this.uvs.add(uvs_[i].clone());
      this.normals.add(normal_);
    }
  }
  void render_to_files(String path) {
    //todo
  }
}
