import 'dart:html';
import 'dart:isolate';

worker(message) {
  var replyTo = message[1];
  try {
    var url = Url.createObjectUrl(new Blob([''], 'application/javascript'));
    Url.revokeObjectUrl(url);
    replyTo.send('Hello from Worker');
  } catch (e) {
    replyTo.send('Error: $e');
  }
}

main() {
  var response = new ReceivePort();
  var remote = Isolate.spawn(worker, ['', response.sendPort]);
  remote.then((_) => response.first).then((reply) =>
      print("reply: " + reply));
}
