import 'package:vector_math/vector_math.dart';
import '../voxel/voxel_db.dart';
import '../noise/stegu_perlin_noise.dart';

class hills {
  static const int _voxel_slices = 8;
  final voxel_db _voxel_db = new voxel_db(_voxel_slices);
  final Vector3 v_sampler = new Vector3.zero();
  hills() {
    _voxel_db.fill_cube(0, 0, 0, 8, 1.0);
    _voxel_db.iterator_voxels(true).forEach((voxel_walker) {
      voxel_walker.world_position.copyInto(v_sampler);
      v_sampler.scale(0.3);
      voxel_walker.set(noise3(v_sampler.x, v_sampler.y, v_sampler.z));
    });
  }
}
